Name:		z80asm
Version:	1.8
Release:	10%{?dist}
Summary:	Z80 Assembler
Group:		Development/Languages
License:	GPLv3+
URL:		http://savannah.nongnu.org/projects/%{name}/
Source0:	http://download.savannah.gnu.org/releases/%{name}/%{name}-%{version}.tar.gz

# Don't use bundled libraries!
# Also patch Makefile to separate test target to support RPM check
Patch0:		z80asm-1.8-no-bundled-libs.patch

BuildRequires:	dos2unix

%description
z80asm is an assembler for the Z80 microprocessor. The assembler aims
to be portable and complete. Of course it assembles all official
mnemonics, but it also aims to assemble the unofficial mnemonics.
The assembler was written with the MSX computer in mind as the target
platform, but it can be used for any system with a Z80 in it. Some
header files with labels of MSX specific addresses (BIOS, BDOS, system
variables) are included.

%prep
%setup -q

# Fix line endings
dos2unix examples/hello.asm

# Don't use bundled libraries!
# Also patch Makefile to separate test target to support RPM check
%patch -P 0 -p1 -b .no-bundled-libs
rm -rf gnulib

%build
make %{?_smp_mflags} CFLAGS="%{optflags}"

%check
make %{?_smp_mflags} CFLAGS="%{optflags}" test

%install
install -d -m0755 %{buildroot}%{_bindir}
install -p -m0755 %{name} %{buildroot}%{_bindir}
install -d -m0755 %{buildroot}%{_mandir}/man1
install -p -m0644 %{name}.1 %{buildroot}%{_mandir}/man1
install -d -m0755 %{buildroot}%{_datadir}/%{name}
install -p -m0644 headers/*.asm %{buildroot}%{_datadir}/%{name}

%files
%doc COPYING GPL3 ChangeLog examples
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*
%{_datadir}/%{name}

%changelog
* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.8-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.8-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Jul 27 2013 Ville Skyttä <ville.skytta@iki.fi> - 1.8-5
- Simplify installing of docs.

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Mar 08 2012 Eric Smith <eric@brouhaha.com>  1.8-2
- Fixed RPM warnings about doc dir listed twice

* Sun Feb 26 2012 Eric Smith <eric@brouhaha.com>  1.8-1
- Initial version
